summary refs log tree commit diff
path: root/kokoro/kokoro_simulator.sh
diff options
context:
space:
mode:
Diffstat (limited to 'kokoro/kokoro_simulator.sh')
-rwxr-xr-xkokoro/kokoro_simulator.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/kokoro/kokoro_simulator.sh b/kokoro/kokoro_simulator.sh
new file mode 100755
index 0000000..681ce89
--- /dev/null
+++ b/kokoro/kokoro_simulator.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+# Copyright 2018 The Chromium OS Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -ex
+
+main() {
+  cd "$(dirname "$0")"
+
+  local kokoro_simulator_root=/tmp/kokoro_simulator
+  local src_root="${kokoro_simulator_root}"/git/crosvm
+  local base_image_tarball="${kokoro_simulator_root}"/crosvm-base.tar.xz
+  local base_image="crosvm-base"
+
+  mkdir -p "${kokoro_simulator_root}"
+  if [[ ! -e "${base_image_tarball}" ]]; then
+    if [[ "$(docker images -q ${base_image} 2> /dev/null)" == "" ]]; then
+      docker build -t ${base_image} - < Dockerfile
+    fi
+    docker save ${base_image} | xz -T 0 -z >"${base_image_tarball}"
+  fi
+
+  if [[ ! -e "${src_root}" ]]; then
+    mkdir -p "${kokoro_simulator_root}"/git
+    ln -s "$(realpath ../)" "${src_root}"
+  fi
+
+  export KOKORO_ARTIFACTS_DIR="${kokoro_simulator_root}"
+  export KOKORO_GFILE_DIR="${kokoro_simulator_root}"
+
+  ./build.sh
+}
+
+main "$@"